AchievementAlwaysSurrender = class(Turbine.UI.Control)
function AchievementAlwaysSurrender:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.skillList = {
        ["Never Surrender"] = true,
    }

    self.handler = handler

    self:SetCallbacks()
end

function AchievementAlwaysSurrender:SetCallbacks()
    for key, value in pairs(SkillEventHandler:GetSkills()) do
        if self.skillList[key] then

            table.insert(self.skillCallbacks, AddCallback(SkillEventHandler, key, function(skill) 
                self.handler:Fail("Always Surrender", "Used Never Surrender", 0x410E0DCA)
            end))
        end
    end
end

function AchievementAlwaysSurrender:Unload()
    for key, value in pairs(self.skillCallbacks) do
        RemoveCallback(SkillEventHandler, key, value) 
    end
end

function AchievementAlwaysSurrender:Refresh()
    self:Unload()
    self:SetCallbacks()
end